<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.2.4.3.36.10.321
Name: Intubation of colon
Description: Template: Intubatie tijd
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.2.4.3.36.10.321-2012-04-10T000000">
   <title>Intubation of colon</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.36.10.321
Context: *[hl7:procedure[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.36.10.321']]]
Item: (Intubationofcolon)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.36.10.321
Context: *[hl7:procedure[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.36.10.321']]]/hl7:procedure[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.36.10.321']]
Item: (Intubationofcolon)
-->

   <rule context="*[hl7:procedure[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.36.10.321']]]/hl7:procedure[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.36.10.321']]"
         id="d20e9944-false-d162500e0">
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20191117T204352/tmp-2.16.840.1.113883.2.4.3.36.10.321-2012-04-10T000000.html"
              test="string(@classCode) = ('PROC')">(Intubationofcolon): de waarde van classCode MOET 'PROC' zijn. Gevonden: "<value-of select="@classCode"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20191117T204352/tmp-2.16.840.1.113883.2.4.3.36.10.321-2012-04-10T000000.html"
              test="string(@moodCode) = ('EVN')">(Intubationofcolon): de waarde van moodCode MOET 'EVN' zijn. Gevonden: "<value-of select="@moodCode"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20191117T204352/tmp-2.16.840.1.113883.2.4.3.36.10.321-2012-04-10T000000.html"
              test="count(hl7:templateId[@root = '2.16.840.1.113883.2.4.3.36.10.321']) &gt;= 1">(Intubationofcolon): element hl7:templateId[@root = '2.16.840.1.113883.2.4.3.36.10.321'] is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20191117T204352/tmp-2.16.840.1.113883.2.4.3.36.10.321-2012-04-10T000000.html"
              test="count(hl7:templateId[@root = '2.16.840.1.113883.2.4.3.36.10.321']) &lt;= 1">(Intubationofcolon): element hl7:templateId[@root = '2.16.840.1.113883.2.4.3.36.10.321'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20191117T204352/tmp-2.16.840.1.113883.2.4.3.36.10.321-2012-04-10T000000.html"
              test="count(hl7:code[(@code = '84391005' and @codeSystem = '2.16.840.1.113883.6.96')]) &gt;= 1">(Intubationofcolon): element hl7:code[(@code = '84391005' and @codeSystem = '2.16.840.1.113883.6.96')] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20191117T204352/tmp-2.16.840.1.113883.2.4.3.36.10.321-2012-04-10T000000.html"
              test="count(hl7:code[(@code = '84391005' and @codeSystem = '2.16.840.1.113883.6.96')]) &lt;= 1">(Intubationofcolon): element hl7:code[(@code = '84391005' and @codeSystem = '2.16.840.1.113883.6.96')] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20191117T204352/tmp-2.16.840.1.113883.2.4.3.36.10.321-2012-04-10T000000.html"
              test="count(hl7:text) &lt;= 1">(Intubationofcolon): element hl7:text komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20191117T204352/tmp-2.16.840.1.113883.2.4.3.36.10.321-2012-04-10T000000.html"
              test="count(hl7:effectiveTime) &gt;= 1">(Intubationofcolon): element hl7:effectiveTime is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20191117T204352/tmp-2.16.840.1.113883.2.4.3.36.10.321-2012-04-10T000000.html"
              test="count(hl7:effectiveTime) &lt;= 1">(Intubationofcolon): element hl7:effectiveTime komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.36.10.321
Context: *[hl7:procedure[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.36.10.321']]]/hl7:procedure[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.36.10.321']]/hl7:templateId[@root = '2.16.840.1.113883.2.4.3.36.10.321']
Item: (Intubationofcolon)
-->

   <rule context="*[hl7:procedure[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.36.10.321']]]/hl7:procedure[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.36.10.321']]/hl7:templateId[@root = '2.16.840.1.113883.2.4.3.36.10.321']"
         id="d20e9950-false-d162549e0">
      <extends rule="II"/>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20191117T204352/tmp-2.16.840.1.113883.2.4.3.36.10.321-2012-04-10T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Intubationofcolon): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:II" bevatten. Gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20191117T204352/tmp-2.16.840.1.113883.2.4.3.36.10.321-2012-04-10T000000.html"
              test="string(@root) = ('2.16.840.1.113883.2.4.3.36.10.321')">(Intubationofcolon): de waarde van root MOET '2.16.840.1.113883.2.4.3.36.10.321' zijn. Gevonden: "<value-of select="@root"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.36.10.321
Context: *[hl7:procedure[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.36.10.321']]]/hl7:procedure[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.36.10.321']]/hl7:code[(@code = '84391005' and @codeSystem = '2.16.840.1.113883.6.96')]
Item: (Intubationofcolon)
-->

   <rule context="*[hl7:procedure[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.36.10.321']]]/hl7:procedure[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.36.10.321']]/hl7:code[(@code = '84391005' and @codeSystem = '2.16.840.1.113883.6.96')]"
         id="d20e9955-false-d162564e0">
      <extends rule="CE"/>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20191117T204352/tmp-2.16.840.1.113883.2.4.3.36.10.321-2012-04-10T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Intubationofcolon): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:CE" bevatten. Gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20191117T204352/tmp-2.16.840.1.113883.2.4.3.36.10.321-2012-04-10T000000.html"
              test="@nullFlavor or (@code='84391005' and @codeSystem='2.16.840.1.113883.6.96')">(Intubationofcolon): de elementwaarde MOET een zijn van 'code '84391005' codeSystem '2.16.840.1.113883.6.96''.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.36.10.321
Context: *[hl7:procedure[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.36.10.321']]]/hl7:procedure[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.36.10.321']]/hl7:text
Item: (Intubationofcolon)
-->

   <rule context="*[hl7:procedure[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.36.10.321']]]/hl7:procedure[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.36.10.321']]/hl7:text"
         id="d20e9960-false-d162580e0">
      <extends rule="ED"/>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20191117T204352/tmp-2.16.840.1.113883.2.4.3.36.10.321-2012-04-10T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='ED' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Intubationofcolon): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:ED" bevatten. Gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20191117T204352/tmp-2.16.840.1.113883.2.4.3.36.10.321-2012-04-10T000000.html"
              test="count(hl7:reference[not(@nullFlavor)]) &gt;= 1">(Intubationofcolon): element hl7:reference[not(@nullFlavor)] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20191117T204352/tmp-2.16.840.1.113883.2.4.3.36.10.321-2012-04-10T000000.html"
              test="count(hl7:reference[not(@nullFlavor)]) &lt;= 1">(Intubationofcolon): element hl7:reference[not(@nullFlavor)] komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.36.10.321
Context: *[hl7:procedure[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.36.10.321']]]/hl7:procedure[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.36.10.321']]/hl7:text/hl7:reference[not(@nullFlavor)]
Item: (Intubationofcolon)
-->

   <rule context="*[hl7:procedure[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.36.10.321']]]/hl7:procedure[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.36.10.321']]/hl7:text/hl7:reference[not(@nullFlavor)]"
         id="d20e9962-false-d162599e0">
      <extends rule="TEL"/>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20191117T204352/tmp-2.16.840.1.113883.2.4.3.36.10.321-2012-04-10T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='TEL' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Intubationofcolon): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:TEL" bevatten. Gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.36.10.321
Context: *[hl7:procedure[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.36.10.321']]]/hl7:procedure[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.36.10.321']]/hl7:effectiveTime
Item: (Intubationofcolon)
-->

   <rule context="*[hl7:procedure[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.36.10.321']]]/hl7:procedure[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.36.10.321']]/hl7:effectiveTime"
         id="d20e9966-false-d162609e0">
      <extends rule="IVL_TS"/>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20191117T204352/tmp-2.16.840.1.113883.2.4.3.36.10.321-2012-04-10T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='IVL_TS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Intubationofcolon): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:IVL_TS" bevatten. Gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20191117T204352/tmp-2.16.840.1.113883.2.4.3.36.10.321-2012-04-10T000000.html"
              test="count(hl7:width[not(@nullFlavor)]) &gt;= 1">(Intubationofcolon): element hl7:width[not(@nullFlavor)] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20191117T204352/tmp-2.16.840.1.113883.2.4.3.36.10.321-2012-04-10T000000.html"
              test="count(hl7:width[not(@nullFlavor)]) &lt;= 1">(Intubationofcolon): element hl7:width[not(@nullFlavor)] komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.36.10.321
Context: *[hl7:procedure[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.36.10.321']]]/hl7:procedure[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.36.10.321']]/hl7:effectiveTime/hl7:width[not(@nullFlavor)]
Item: (Intubationofcolon)
-->

   <rule context="*[hl7:procedure[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.36.10.321']]]/hl7:procedure[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.36.10.321']]/hl7:effectiveTime/hl7:width[not(@nullFlavor)]"
         id="d20e9968-false-d162628e0">
      <extends rule="PQ"/>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20191117T204352/tmp-2.16.840.1.113883.2.4.3.36.10.321-2012-04-10T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='PQ' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Intubationofcolon): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:PQ" bevatten. Gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20191117T204352/tmp-2.16.840.1.113883.2.4.3.36.10.321-2012-04-10T000000.html"
              test="(@nullFlavor or (@unit='min'))">(Intubationofcolon): value MOET eenheid 'min' gebruiken </assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20191117T204352/tmp-2.16.840.1.113883.2.4.3.36.10.321-2012-04-10T000000.html"
              test="not(@value) or matches(@value, '^[-+]?\d*\.?[0-9]+([eE][-+]?\d+)?$')">(Intubationofcolon): @value is geen geldig PQ getal <value-of select="@value"/>
      </assert>
      <let name="theUnit" value="@unit"/>
      <let name="UCUMtest"
           value="doc('include/voc-UCUM.xml')/*/ucum[@unit=$theUnit]/@message"/>
      <assert role="warning"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20191117T204352/tmp-2.16.840.1.113883.2.4.3.36.10.321-2012-04-10T000000.html"
              test="$UCUMtest='OK' or string-length($UCUMtest)=0">(Intubationofcolon): value/@unit (PQ) MOET een geldige UCUM-eenheid zijn (<value-of select="$UCUMtest"/>).</assert>
   </rule>
</pattern>
